> For the complete documentation index, see [llms.txt](https://docs.thesports.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.thesports.com/thesports-docs/basic-data/single-match-lineup.md).

# Single match lineup

## Single match lineup

> Return the lineup data of a single match (judge whether to call this interface according to the "Is there a lineup" field in the "Schedule and Results Interface"),including player incidents\<br/>Request times:120 times/min\<br/>Request limit:Matches within 30 days before today\<br/>\<br/>Coordinate description:\<br/>Home team coordinate origin:Upper left;That is:the x-axis direction is right,the y-axis direction is down;\<br/>Away team coordinate origin:Lower right;That is:the x-axis direction is left,the y-axis direction is up.\<br/>\<br/>PS:Get the changed match id through the 'data update' interface

```json
{"openapi":"3.0.1","info":{"title":"Football API","version":"1.0.251028"},"tags":[{"name":"BASIC DATA","description":"BASIC DATA"}],"servers":[{"url":"https://api.thesports.com"}],"paths":{"/v1/football/match/lineup/detail":{"get":{"tags":["BASIC DATA"],"description":"Return the lineup data of a single match (judge whether to call this interface according to the \"Is there a lineup\" field in the \"Schedule and Results Interface\"),including player incidents<br/>Request times:120 times/min<br/>Request limit:Matches within 30 days before today<br/><br/>Coordinate description:<br/>Home team coordinate origin:Upper left;That is:the x-axis direction is right,the y-axis direction is down;<br/>Away team coordinate origin:Lower right;That is:the x-axis direction is left,the y-axis direction is up.<br/><br/>PS:Get the changed match id through the 'data update' interface","summary":"Single match lineup","operationId":"getMatchLineupDetail","parameters":[{"$ref":"#/components/parameters/User"},{"$ref":"#/components/parameters/Secret"},{"name":"uuid","in":"query","description":"Match id","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful","content":{"application/json":{"schema":{"type":"object","properties":{"code":{"type":"integer"},"results":{"$ref":"#/components/schemas/MatchLineup"}}}}}},"404":{"$ref":"#/components/responses/404NotFound"}}}}},"components":{"parameters":{"User":{"name":"user","in":"query","description":"Username,please contact business","required":true,"schema":{"type":"string"}},"Secret":{"name":"secret","in":"query","description":"Key,please contact business","required":true,"schema":{"type":"string"}}},"schemas":{"MatchLineup":{"type":"object","properties":{"confirmed":{"type":"integer","description":"Official lineup,1-yes,0-no"},"home_formation":{"type":"string","description":"Home team formation"},"away_formation":{"type":"string","description":"Away team formation"},"coach_id":{"type":"object","description":"Coach","properties":{"home":{"type":"string","description":"Home team coach id"},"away":{"type":"string","description":"Away team coach id"}}},"lineup":{"type":"object","description":"Lineup data","properties":{"home":{"type":"array","description":"Home team lineup data list","items":{"$ref":"#/deps/schemas/MatchLineup"}},"away":{"type":"array","description":"Away team lineup data list","items":{"$ref":"#/deps/schemas/MatchLineup"}}}},"injury":{"type":"object","description":"Injury data","properties":{"home":{"type":"array","description":"Home team injury data list","items":{"$ref":"#/deps/schemas/MatchInjury"}},"away":{"type":"array","description":"Away team injury data list","items":{"$ref":"#/deps/schemas/MatchInjury"}}}}}}},"responses":{"404NotFound":{"description":"Resource does not exist","content":{"application/json":{"schema":{"$ref":"#/common/schemas/ErrorMsg"}}}}}},"deps":{"schemas":{"MatchLineup":{"type":"object","description":"Data details","properties":{"id":{"type":"string","description":"Player id"},"first":{"type":"integer","description":"Whether to start,1-Yes,0-No"},"captain":{"type":"integer","description":"Whether the captain,1-Yes,0-No"},"name":{"type":"string","description":"Player name"},"logo":{"type":"string","description":"Player logo"},"shirt_number":{"type":"integer","description":"Jersey number"},"position":{"type":"string","description":"Player positions,F-forward,M-midfielder,D-guard,G-goalkeeper,others are unknown"},"x":{"type":"integer","description":"x coordinate value,a total of 100"},"y":{"type":"integer","description":"y coordinate value,a total of 100"},"rating":{"type":"string","description":"Score value,full score 10"},"incidents":{"type":"array","description":"Player incident list,if there are competitions,it does not exist by default","items":{"$ref":"#/deps/schemas/MatchLineupLineup"}}}},"MatchLineupLineup":{"type":"object","description":"Incident data","properties":{"type":{"type":"integer","description":"Type,see status code -> technical statistics"},"time":{"type":"string","description":"Incident occurrence time (including extra time)"},"minute":{"type":"integer","description":"Minutes of the match at the time of the incident"},"addtime":{"type":"integer","description":"Overtime (eg:two minutes of injury during halftime,time:\"45+2\",minute:45,addtime:2)"},"belong":{"type":"integer","description":"The incident occurred,0-neutral,1- home team,2- away team"},"home_score":{"type":"integer","description":"Home team score"},"away_score":{"type":"integer","description":"Away team score"},"player":{"type":"object","description":"Incident related players,may not exist","properties":{"id":{"type":"string","description":"Player id"},"name":{"type":"string","description":"Player name"}}},"assist1":{"type":"object","description":"Assist player 1,related to the goal incident,may not exist","properties":{"id":{"type":"string","description":"Player id"},"name":{"type":"string","description":"Player name"}}},"assist2":{"type":"object","description":"Assist player 2,related to the goal incident,may not exist","properties":{"id":{"type":"string","description":"Player id"},"name":{"type":"string","description":"Player name"}}},"in_player":{"type":"object","description":"Replace the player id(Put on),which is related to the substitution incident and may not exist","properties":{"id":{"type":"string","description":"Player id"},"name":{"type":"string","description":"Player name"}}},"out_player":{"type":"object","description":"Replace the player id(Replace),which is related to the substitution incident and may not exist","properties":{"id":{"type":"string","description":"Player id"},"name":{"type":"string","description":"Player name"}}}}},"MatchInjury":{"type":"object","description":"Data details","properties":{"id":{"type":"string","description":"Player id"},"name":{"type":"string","description":"Player name"},"position":{"type":"string","description":"Player positions,F-forward,M-midfielder,D-guard,G-goalkeeper,others are unknown"},"logo":{"type":"string","description":"Player logo"},"type":{"type":"integer","description":"Type,0-unknown,1-injured,2-suspended,3-Questionable"},"reason":{"type":"string","description":"Cause of injury"},"start_time":{"type":"integer","description":"Starting time"},"end_time":{"type":"integer","description":"End Time"},"missed_matches":{"type":"integer","description":"Affect the session"}}}}},"common":{"schemas":{"ErrorMsg":{"type":"object","description":"abnormal","properties":{"code":{"type":"integer","description":"status code"},"msg":{"type":"string","description":"Error message"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.thesports.com/thesports-docs/basic-data/single-match-lineup.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
